%define	name	sshfs-fuse
%define	version 1.7
%define rel	1
%define	release	%mkrel %{rel}

Summary:	A filesystem running over SFTP
Name:		%{name} 
Version:	%{version} 
Release:	%{release} 
Epoch:		0
Source0:	http://download.sourceforge.net/fuse/sshfs-fuse-%{version}.tar.bz2
URL:		http://fuse.sourceforge.net/sshfs.html
Group:		Networking/Remote access
# XXX: No way to tell if this is already included in/by the kernel or not
#Requires:	dkms-fuse
Requires:	fuse
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
BuildRequires:	glib2-devel
BuildRequires:	libfuse-devel
BuildRequires:	pkgconfig

%description
This is a filesystem client based on the SSH File Transfer Protocol.
Since most SSH servers already support this protocol it is very easy to set up:
i.e. on the server side there's nothing to do.  On the client side mounting the
filesystem is as easy as logging into the server with ssh.

    * Based on FUSE
    * Multithreading: more than one request can be on it's way to the server
    * Allowing large reads (max 64k)
    * Caching directory contents

%prep
%setup -q

%build
export CC="%{__cc} -fPIC"
%configure2_5x
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall

%clean 
%{__rm} -rf %{buildroot} 

%files 
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README 
%{_bindir}/sshfs
%{_libdir}/sshnodelay.so

%changelog
* Sun Aug 27 2006 David Walluck <walluck@mandriva.org> 0:1.7-1mdv2007.0
- 1.7

* Mon Mar 27 2006 David Walluck <walluck@mandriva.org> 0:1.6-1mdk
- 1.6

* Sat Feb 25 2006 David Walluck <walluck@mandriva.org> 0:1.5-1mdk
- 1.5
- Requires: dkms-fuse, fuse, glib2-devel, pkgconfig
- BuildRequires: libfuse-devel, not libfuse2-devel
- fix build on x86_64
- use %%configure2_5x
- remove menu-related stuff
- add docs

* Sat Oct 29 2005 Eskild Hustvedt <eskild@mandriva.org> 1.3-1mdk
- Initial Mandriva Linux package
